Bug 859984 - traceback when update.img is used
traceback when update.img is used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-09-24 10:41 EDT by Dan Horák
Modified: 2013-01-09 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-18.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 15:04:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2012-09-24 10:41:04 EDT
[dan@eagle ~]$ ssh install@devel6.s390.bos.redhat.com
Warning: Permanently added 'devel6.s390.bos.redhat.com,10.16.104.69' (RSA) to the list of known hosts.
Starting installer, one moment...
Traceback (most recent call last):
  File "/sbin/anaconda", line 629, in <module>
    setupPythonUpdates()
  File "/sbin/anaconda", line 146, in setupPythonUpdates
    "/tmp/%s" % dirname)
OSError: [Errno 17] File exists
Connection to devel6.s390.bos.redhat.com closed.

the workaround was "rm /tmp/updates" in parallel session logged in as root

Version-Release number of selected component (if applicable):
anaconda-18.8-1.fc18
Comment 1 Jesse Keating 2012-09-24 17:32:09 EDT
the bug here is actually that you're doing anaconda via ssh rather than using the anaconda that already started via tmux on x3270. We don't have this hand off working right, it's a work in progress.
Comment 2 Jesse Keating 2012-10-16 15:04:59 EDT
this should now be working.  Please re-test.

Note You need to log in before you can comment on or make changes to this bug.